# $Revision: 1.16 $, $Date: 2008-05-27 05:52:25 $
Summary:	Pixel manipulation library
Summary(pl.UTF-8):	Biblioteka operacji na pikselach
Name:		pixman
Version:	0.10.0
Release:	2
License:	MIT
Group:		Libraries
Source0:	http://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2
# Source0-md5:	fb23e17a8a0308e8fad6dc153753ba9a
Patch0:		%{name}-gcc3.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.453
Obsoletes:	libic
Obsoletes:	libpixman
Obsoletes:	libpixregion
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
pixman is a pixel manipulation library.

%description -l pl.UTF-8
pixman to biblioteka do operacji na pikselach.

%package devel
Summary:	Development files for pixman
Summary(pl.UTF-8):	Pliki dla programistów do biblioteki pixman
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	libic-devel
Obsoletes:	libpixman-devel
Obsoletes:	libpixregion-devel

%description devel
This package contains development files for pixman library.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki dla programistów korzystających z biblioteki
pixman.

%package static
Summary:	Static pixman library
Summary(pl.UTF-8):	Statyczna biblioteka pixman
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	libic-static
Obsoletes:	libpixman-static
Obsoletes:	libpixregion-static

%description static
This package contains static pixman library.

%description static -l pl.UTF-8
Ten pakiet zawiera statyczną wersję biblioteki pixman.

%prep
%setup -q
%if "%{cc_version}" < "3.4"
%patch0 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

sed -i -e 's#<pixman-version.h>#<pixman-1/pixman-version.h>#g' $RPM_BUILD_ROOT%{_includedir}/pixman-1/pixman.h

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README TODO
%attr(755,root,root) %{_libdir}/libpixman-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpixman-1.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpixman-1.so
%{_libdir}/libpixman-1.la
%{_includedir}/pixman-1
%{_pkgconfigdir}/pixman-1.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libpixman-1.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pixman.spec,v $
Revision 1.16  2008-05-27 05:52:25  glen
- fix for gcc 3.3.6 build

Revision 1.15  2008-04-17 19:45:03  arekm
- rel 2; don't require -I../pixman-1 in every software

Revision 1.14  2008-04-13 09:20:18  qboosh
- fixed Summary

Revision 1.13  2008-04-01 19:09:36  qboosh
- ghost soname symlink
- added README to doc

Revision 1.12  2008-03-30 13:39:00  arekm
- up to 0.10.0

Revision 1.11  2008-03-06 17:02:32  glen
- release 2

Revision 1.10  2007-10-30 21:08:46  qboosh
- updated to 0.9.6

Revision 1.9  2007/09/04 17:19:57  arekm
- up to 0.9.5

Revision 1.8  2007/08/08 16:22:47  deejay1
- added P0: pixman-pkgconfig.patch to pass proper flags via pkg-config
- rel. 2

Revision 1.7  2007/08/07 17:35:40  qboosh
- oops, slim name is reused now (it shouldn't have happened :/)

Revision 1.6  2007/08/07 17:35:05  qboosh
- although with new soname it's parallel-installable with old libpixman,
  it's successor of libpixman (now obsolete as a separate package), so merged
  whole Obsoletes lists (libpixregion*, libic*, slim)

Revision 1.5  2007/08/07 16:15:46  arekm
- up to 0.9.4 (first release from new series)

Revision 1.4  2007/08/05 09:25:18  deejay1
- updated a bit for xserver 1.3.99.x

Revision 1.3  2007/07/08 17:02:16  qboosh
- verbose files, removed empty docs

Revision 1.2  2007/06/25 13:27:59  arekm
- adapterize; small fixes

Revision 1.1  2007/06/25 13:14:19  arekm
- initial
